Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Integrity.PlatformTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Integrity.PlatformTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Integrity.PlatformTest:
[legend]

## Public Member Functions
| PlatformTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Protected Member Functions
override void | Execute ()
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Private Member Functions
bool | CanCheck (File file, PlatformId platformId)
IEnumerable< FileSystemEntry > | GetPlatformFiles ()
IDictionary< FileSystemEntry, PlatformId > | MapFilePlatforms (IEnumerable< FileSystemEntry > files)

## Additional Inherited Members
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ PlatformTest()

Zwipe.Test.Tools.Tests.Integrity.PlatformTest.PlatformTest | ( |  | ) |

## Member Function Documentation

## ◆ CanCheck()

bool Zwipe.Test.Tools.Tests.Integrity.PlatformTest.CanCheck | ( | File | file,
|  | PlatformId | platformId )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute()

override void Zwipe.Test.Tools.Tests.Integrity.PlatformTest.Execute | ( |  | ) |
| protected

Here is the call graph for this function:

## ◆ GetPlatformFiles()

IEnumerable< FileSystemEntry > Zwipe.Test.Tools.Tests.Integrity.PlatformTest.GetPlatformFiles | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ MapFilePlatforms()

IDictionary< FileSystemEntry, PlatformId > Zwipe.Test.Tools.Tests.Integrity.PlatformTest.MapFilePlatforms | ( | IEnumerable< FileSystemEntry > | files | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Integrity/PlatformTest.cs